# Payment Notification

| Method | Merchant URL                     |
| ------ | -------------------------------- |
| POST   | <https://url.callback.merchant/> |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name          | Type                                                                    | Mandatory | Min Length | Max Length | Description             |
| -- | ------------- | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | ----------------------- |
| 1  | order         | [Object](/api-reference/appendix/json-object/order-object.md)           | M         | 1          | 12         | Detail of Order         |
| 2  | customer      | [Object](/api-reference/appendix/json-object/customer-object.md)        | O         | 1          | 8          | Detail of Customer      |
| 3  | url           | [Object](/api-reference/appendix/json-object/url-object.md)             | O         | 1          | 4          | Detail of Url           |
| 4  | billing       | [Object](/api-reference/appendix/json-object/billing-object.md)         | O         | 1          | 1          | Detail of Billing       |
| 5  | shipping      | [Object](/api-reference/appendix/json-object/shipping-object.md)        | O         | 1          | 4          | Detail of Shipping      |
| 6  | meta          | [Object](/api-reference/appendix/json-object/meta-object.md)            | M         | 1          | 1          | Detail of MetaData      |
| 7  | card          | [Object](/api-reference/appendix/json-object/card-object.md)            | M         | 1          | 7          | Detail of Card          |
| 8  | recurring     | [Object](/api-reference/appendix/json-object/recurring-object.md)       | O         | 1          | 11         | Detail of Recurring     |
| 9  | sourceOfFunds | [Object](/api-reference/appendix/json-object/source-of-funds-object.md) | M         | 1          | 11         | Detail of SourceOfFunds |
| 10 | device        | [Object](/api-reference/appendix/json-object/device-object.md)          | O         | 1          | 7          | Detail of Device        |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "merchant": {
    "id": "FINPAY770"
  },
  "customer": {
    "id": "finnet@reddotpay.com"
  },
  "order": {
    "id": "INV2230516000003",
    "reference": null,
    "amount": 10000,
    "currency": "IDR"
  },
  "card": {
    "mask": "512345xxxxxx0008",
    "info": {
      "brand": "MASTERCARD",
      "issuing": "AFRILAND FIRST BANK",
      "type": "CREDIT",
      "subType": "STANDARD",
      "country": "LIBERIA"
    }
  },
  "meta": {
    "data": null
  },
  "result": {
    "payment": {
      "status": "PAID",
      "statusDesc": "The authorized amount for this order, in full or excess, has been captured successfully",
      "datetime": "2023-05-16 20:22:23"
    },
    "flagging": {
      "paymentCode": "000000000005585",
      "productCode": "050017",
      "bill": "1",
      "reffNo": "459719",
      "amount": "5585",
      "customerName": "Kawhi Leonar'd",
      "billingInfo1": "12345679",
      "billingInfo2": "411211",
      "billingInfo3": "420",
      "billingInfo4": "01122019",
      "billingInfo5": "000000000000000",
      "billingInfo6": "C. d'Aristides Maillol, 12, 08028 Barcelona, Spain",
      "billingInfo7": "000000000000000000",
      "billingInfo8": "",
      "billingInfo9": "",
      "billingInfo10": "",
      "ntpn": "E20C83HLVA9HK5EH",
      "ntb": "716106201912",
      "paymentDateTime": "2019-12-23 16:13:36",
      "gmt": "2019-12-23 09:13:36",
      "settlementDate": "1224"
    }
  },
  "sourceOfFunds": {
    "type": "vamandiri",
    "channel": "008",
    "paymentCode": "0218299999"
  },
  "signature": "40ba4725921624225a077c7e8f7b39df3d5a8d0fbe1585c4ef4461949f910ef37d8a408fdb03bc15e3d317d92242fedcd201f6ecf5cd79c9696c376afcc915e8"
}
```

[<br>](https://hub.finpay.id/docs/finpay-pg-billing/payment-initation)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg-x-finpay-billing/payment-notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
